/* scr.c: routines for dealing with .scr screenshots
   Copyright (c) 1998 Philip Kendall

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

   Author contact information:

   E-mail: pak21@cam.ac.uk (until at least June 1999)
   Postal address: 15 Crescent Road, Wokingham, Berks, RG40 2DB, England

*/

#include <stdlib.h>
#include <string.h>

#include "snapinfo.h"

#include "scr.h"

int scr_write(FILE *f,char *outName,int version, struct snapinfo *sptr,
	      unsigned char **pages, romData *romPages)
{
  unsigned char *buffer; int deallocate;

  deallocate=0;

  if(sptr->machine==MACHINE_48K)
    {
      buffer=pages[5];
    }
  else if(sptr->out7ffd & 0x08) /* Shadow screen switched in? */
    {
      buffer=pages[7];
    }
  else
    {
      buffer=pages[5];
    }

  if(buffer==0) /* If this page hasn't been read in */
    {
      buffer=(unsigned char*)malloc(0x4000*sizeof(unsigned char));
      if(buffer==0) return ERROR_MEMORY;

      deallocate=1;

      memset(buffer,0,0x4000);
    }

  fwrite(buffer,6912,1,f);

  if(deallocate) free(buffer);

  return ferror(f) ? ERROR_WRITE : ERROR_NONE;

}
