/* sna.h: routines for dealing with .sna format files
   Copyright (c) 1997 Philip Kendall

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

   Author contact information:

   E-mail: pak21@cam.ac.uk (until at least June 1999)
   Postal address: 15 Crescent Road, Wokingham, Berks, RG40 2DB, England

*/

#ifndef sna_h
#define sna_h

#ifndef __STDIO_H
#include <stdio.h>
#endif

#ifndef snapinfo_h
#include "snapinfo.h"
#endif

int sna_readHeader (FILE *f,struct snapinfo *sptr);
int sna_writeHeader(FILE *f,struct snapinfo *sptr);

int sna_read128Header(FILE *f,struct snapinfo *sptr);
int sna_write128Header(FILE *f,struct snapinfo *sptr);

int sna_read48Memory(FILE *f,struct snapinfo *sptr,unsigned char *buffer);
int sna_write48Memory(FILE *f,struct snapinfo *sptr,unsigned char *buffer);

#define sna_headerSize 27
#define sna_128HeaderSize 4

#endif






