/* snapinfo.c: routines for dealing with the snapinfo structure
   Copyright (c) 1997-8 Philip Kendall

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

   Author contact information:

   E-mail: pak21@cam.ac.uk (until at least June 1999)
   Postal address: 15 Crescent Road, Wokingham, Berks, RG40 2DB, England

*/

#include <string.h>

#include "snapinfo.h"

/* Set everything in the snapinfo structure to a sensible default */

void snapinfoDefault(struct snapinfo *p)
{
  p->a  = p->f  = p->a_ = p->f_  = 0;
  p->bc = p->de = p->hl = p->bc_ = p->de_ = p->hl_ = 0;
  p->ix = p->iy = p->pc = p->sp  = 0;
  p->i  = p->r  = 0;
  p->iff1=p->iff2=1; p->im=1;
  p->outULA=7;  /* White border, no sound */

  memset(p->keys,0,8); /* No keys pressed */

  p->issue2=p->doubleint=0; /* Both off */
  p->rreg=p->ldir=1;  /* Both on */
  p->videosync=2;     /* Normal video syncronisation */
  p->joystick=1;      /* Kempston joystick emulation */
  p->machine=MACHINE_48K; p->periph=PERIPH_NONE; /* Standard 48K Spectrum */
  p->out1ffd=4; p->out7ffd=16; p->outfffd=0;
  p->ayactive=0;
  memset(p->soundchip,0,16);
  p->samram=0x5555;
  p->if1=p->mgt=p->mgttype=p->multiface=0;
  p->discbutton=p->discflag=p->spectator=0;
  p->tstates=69664;
  memcpy(p->userstick,"\x03\x01\x03\x02\x03\x04\x03\x08\x03\x10"
	 "1\x002\x003\x004\x005\x00",20);
  p->flash=0;		/* Flash is ink */
  p->interrupt=0;	/* No interrupt pending */

}




